| GET | /RestApi/recycle-bin/items |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.RecycleBin.Services.Dto.Requests;
namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
{
public partial class FindRecycleBinItems
: IRecycleBinItemFilter
{
public virtual int? Skip { get; set; }
public virtual int? Take { get; set; }
public virtual string OrderExpression { get; set; }
public virtual string TypeName { get; set; }
public virtual string SearchText { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfRecycleBinItemProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.RecycleBin.Services.Dto">
<RecycleBinItemProxy>
<DataItemId>00000000-0000-0000-0000-000000000000</DataItemId>
<DateCreated>0001-01-01T00:00:00</DateCreated>
<DisplayTypeName>String</DisplayTypeName>
<Id>00000000-0000-0000-0000-000000000000</Id>
<ItemLanguage>String</ItemLanguage>
<ItemTitle>String</ItemTitle>
<ItemTypeName>String</ItemTypeName>
<OwnerName>String</OwnerName>
<ParentTitlesPath>String</ParentTitlesPath>
<ParentTypeName>String</ParentTypeName>
<ProviderName>String</ProviderName>
<Status>String</Status>
<StatusText>String</StatusText>
</RecycleBinItemProxy>
</ArrayOfRecycleBinItemProxy>